---
title: "Security report"
draft: false
description: "Provides actionable recommendations and insight into an attacker's view of your network"
pre: "<i class='fas fa-shield'></i> "
---

{{% notice info %}}
Check out [the documentation for other reports available in Infection Monkey](/features/reports).
{{% /notice %}}

Infection Monkey's **Security Report** provides you with actionable recommendations and insight into an attacker's view of your network.

The report is split into the following categories:

- [Overview](#overview)
- [Segmentation Issues](#segmentation-issues)
- [Machine-related Recommendations](#machine-related-recommendations)
- [The Network from Infection Monkey's Eyes](#the-network-from-infection-monkeys-eyes)

## Overview

The Overview section of the report provides high-level information about Infection Monkey's
execution, including the machines from which the infection originated, how long the breach
simulation took, and the configuration of the Agents.

![Overview](/images/island/reports-page/security-report-overview.png "Overview")

## Segmentation Issues

This section reports the segmentation issues in your network.

![Segmentation Issues](/images/island/reports-page/security-report-segmentation-issues.png "Segmentation Issues")

## Machine-related Recommendations

Here, you will find recommendations for improving your network's
security, including actionable mitigation steps.

![Machine-related Recommendations](/images/island/reports-page/security-report-machine-related-recommendations.png "Machine-related Recommendations")


## The Network from Infection Monkey's Eyes

This section contains a summary of what Infection Monkey found, including
details of scanned servers, breached servers, and stolen credentials.

![The Network from Infection Monkey's Eyes](/images/island/reports-page/security-report-network-from-monkeys-eyes.png "The Network from Infection Monkey's Eyes")
