---
title: "RDP Exploiter"
draft: false
description: "Exploits RDP"
tags: ["exploiter", "rdp", "brute force"]
pre: "<i class='fa fa-desktop'></i> "
---

## RDP

[RDP (Remote Desktop Protocol)](
https://learn.microsoft.com/en-us/windows/win32/termserv/remote-desktop-protocol)
is a network communication protocol by Microsoft that enables users to connect
to remote computers over a network, providing a remote display and input
capabilities to the user. It is commonly used for remote administration, remote
technical support, and remote work access.

## Exploitation

Attackers that can successfully authenticate to a machine via RDP can run
arbitrary commands on the victim machine. This allows the attacker to perform
actions such as installing malware, exfiltrating data, or pivoting and moving
laterally through the network. Infection Monkey's RDP exploiter uses
brute-force to attempt to propagate to a victim via RDP.

![RDP Configuration](
/images/island/configuration-page/rdp-exploiter-configuration.png
"RDP Configuration")

### Credentials used

The RDP exploiter uses [user-configured credentials](
/usage/configuration/credentials) as well as credentials collected from
other victims. Different combinations of credentials are attempted in the
following order:

1. **Brute force usernames and passwords** - The exploiter attempts to use
   all combinations of usernames and passwords that were set in the
   [configuration](/usage/configuration/credentials) or stolen from other
   victims.

1. **Brute force usernames and NT hashes** - The exploiter attempts to use
   all combinations of usernames and NT hashes that were set in the
   [configuration](/usage/configuration/credentials) or stolen from other
   victims.

   This only works on Windows 8.1 and Windows Server 2012 R2. You can read more
   about this limitation
   [here](https://www.kali.org/blog/passing-hash-remote-desktop/).

## Mitigation

1. Change user passwords to complex passwords that are not shared with other
   computers on the network.
2. [Enable multi-factor authentication for
   RDP](https://learn.microsoft.com/en-us/windows-server/remote/remote-desktop-services/rds-plan-mfa).

For information about remediating RDP-related security risks, see
[Microsoft's
guidance](https://www.microsoft.com/en-us/security/blog/2020/04/16/security-guidance-remote-desktop-adoption/)

## See also
- [RDP exploiter reference documentation](/reference/exploiters/rdp)
